Subject: Re: [PATCH] xfs: fix unused variable build warning in xfs_log.c

From: John Hubbard <[email-masked]>
Date: Thu, 4 Feb 2021 19:49:54 -0800

On 2/4/21 7:30 PM, Darrick J. Wong wrote:
> On Thu, Feb 04, 2021 at 07:18:14PM -0800, John Hubbard wrote:
>> Delete the unused "log" variable in xfs_log_cover().
>>
>> Fixes: 303591a0a9473 ("xfs: cover the log during log quiesce")
>> Cc: Brian Foster <[email-masked]>
>> Cc: Christoph Hellwig <[email-masked]>
>> Cc: Darrick J. Wong <[email-masked]>
>> Cc: Allison Henderson <[email-masked]>
>> Signed-off-by: John Hubbard <[email-masked]>
>> ---
>> Hi,
>>
>> I just ran into this on today's linux-next, so here you go!
> 
> Thanks for the tipoff, I just realized with horror that I got the git
> push wrong and never actually updated xfs-linux.git#for-next.  This (and
> all the other gcc warnings) are fixed in "xfs-for-next" which ... is not
> for-next.
> 
> Sigh.....  so much for trying to get things in for testing. :(
> 
Well, if it's any consolation, this is the *only* warning that fired during
my particular build, in linux-next. :)

thanks,
-- 
John Hubbard
NVIDIA